tbb::serial::interface9 Namespace Reference

## Classes

class | start_for

## Functions

template<typename Range , typename Body >
__TBB_DEPRECATED_VERBOSE void | parallel_for (const Range &range, const Body &body)
| Parallel iteration over range with default partitioner. More...
template<typename Range , typename Body >
__TBB_DEPRECATED_VERBOSE void | parallel_for (const Range &range, const Body &body, const simple_partitioner &partitioner)
| Parallel iteration over range with simple partitioner. More...
template<typename Range , typename Body >
__TBB_DEPRECATED_VERBOSE void | parallel_for (const Range &range, const Body &body, const auto_partitioner &partitioner)
| Parallel iteration over range with auto_partitioner. More...
template<typename Range , typename Body >
__TBB_DEPRECATED_VERBOSE void | parallel_for (const Range &range, const Body &body, const static_partitioner &partitioner)
| Parallel iteration over range with static_partitioner. More...
template<typename Range , typename Body >
__TBB_DEPRECATED_VERBOSE void | parallel_for (const Range &range, const Body &body, affinity_partitioner &partitioner)
| Parallel iteration over range with affinity_partitioner. More...
template<typename Index , typename Function , typename Partitioner >
void | parallel_for_impl (Index first, Index last, Index step, const Function &f, Partitioner &)
| Implementation of parallel iteration over stepped range of integers with explicit step and partitioner (ignored) More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, Index step, const Function &f)
| Parallel iteration over a range of integers with explicit step and default partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, Index step, const Function &f, const simple_partitioner &p)
| Parallel iteration over a range of integers with explicit step and simple partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, Index step, const Function &f, const auto_partitioner &p)
| Parallel iteration over a range of integers with explicit step and auto partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, Index step, const Function &f, const static_partitioner &p)
| Parallel iteration over a range of integers with explicit step and static partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, Index step, const Function &f, affinity_partitioner &p)
| Parallel iteration over a range of integers with explicit step and affinity partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, const Function &f)
| Parallel iteration over a range of integers with default step and default partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, const Function &f, const simple_partitioner &p)
| Parallel iteration over a range of integers with default step and simple partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, const Function &f, const auto_partitioner &p)
| Parallel iteration over a range of integers with default step and auto partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, const Function &f, const static_partitioner &p)
| Parallel iteration over a range of integers with default step and static partitioner. More...
template<typename Index , typename Function >
__TBB_DEPRECATED_VERBOSE void | parallel_for (Index first, Index last, const Function &f, affinity_partitioner &p)
| Parallel iteration over a range of integers with default step and affinity_partitioner. More...

## Function Documentation

## parallel_for() [1/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | const Function & | f
| ) |  |

Parallel iteration over a range of integers with default step and default partitioner.

Definition at line 190 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const auto_partitioner>(first, last, static_cast<Index>(1), f, auto_partitioner());
}

References tbb::internal::first(), and tbb::internal::last().

Here is the call graph for this function:

## parallel_for() [2/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | const Function & | f,
|  | affinity_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with default step and affinity_partitioner.

Definition at line 210 of file serial/tbb/parallel_for.h.

{
parallel_for_impl(first, last, static_cast<Index>(1), f, p);
}

References tbb::internal::first(), tbb::internal::last(), p, and parallel_for_impl().

Here is the call graph for this function:

## parallel_for() [3/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | const Function & | f,
|  | const auto_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with default step and auto partitioner.

Definition at line 200 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const auto_partitioner>(first, last, static_cast<Index>(1), f, p);
}

References tbb::internal::first(), tbb::internal::last(), and p.

Here is the call graph for this function:

## parallel_for() [4/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | const Function & | f,
|  | const simple_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with default step and simple partitioner.

Definition at line 195 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const simple_partitioner>(first, last, static_cast<Index>(1), f, p);
}

References tbb::internal::first(), tbb::internal::last(), and p.

Here is the call graph for this function:

## parallel_for() [5/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | const Function & | f,
|  | const static_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with default step and static partitioner.

Definition at line 205 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const static_partitioner>(first, last, static_cast<Index>(1), f, p);
}

References tbb::internal::first(), tbb::internal::last(), and p.

Here is the call graph for this function:

## parallel_for() [6/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | Index | step,
|  | const Function & | f
| ) |  |

Parallel iteration over a range of integers with explicit step and default partitioner.

Definition at line 164 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const auto_partitioner>(first, last, step, f, auto_partitioner());
}

References tbb::internal::first(), and tbb::internal::last().

Here is the call graph for this function:

## parallel_for() [7/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | Index | step,
|  | const Function & | f,
|  | affinity_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with explicit step and affinity partitioner.

Definition at line 184 of file serial/tbb/parallel_for.h.

{
parallel_for_impl(first, last, step, f, p);
}

References tbb::internal::first(), tbb::internal::last(), p, and parallel_for_impl().

Here is the call graph for this function:

## parallel_for() [8/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | Index | step,
|  | const Function & | f,
|  | const auto_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with explicit step and auto partitioner.

Definition at line 174 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const auto_partitioner>(first, last, step, f, p);
}

References tbb::internal::first(), tbb::internal::last(), and p.

Here is the call graph for this function:

## parallel_for() [9/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | Index | step,
|  | const Function & | f,
|  | const simple_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with explicit step and simple partitioner.

Definition at line 169 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const simple_partitioner>(first, last, step, f, p);
}

References tbb::internal::first(), tbb::internal::last(), and p.

Here is the call graph for this function:

## parallel_for() [10/10]

template<typename Index , typename Function >

__TBB_DEPRECATED_VERBOSE void tbb::serial::interface9::parallel_for | ( | Index | first,
|  | Index | last,
|  | Index | step,
|  | const Function & | f,
|  | const static_partitioner & | p
| ) |  |

Parallel iteration over a range of integers with explicit step and static partitioner.

Definition at line 179 of file serial/tbb/parallel_for.h.

{
parallel_for_impl<Index,Function,const static_partitioner>(first, last, step, f, p);
}

References tbb::internal::first(), tbb::internal::last(), and p.

Here is the call graph for this function:

## parallel_for_impl()

template<typename Index , typename Function , typename Partitioner >

void tbb::serial::interface9::parallel_for_impl | ( | Index | first,
|  | Index | last,
|  | Index | step,
|  | const Function & | f,
|  | Partitioner & |
| ) |  |

Implementation of parallel iteration over stepped range of integers with explicit step and partitioner (ignored)

Definition at line 142 of file serial/tbb/parallel_for.h.

{
if (step <= 0 ) {
#if TBB_USE_EXCEPTIONS
throw std::invalid_argument( "nonpositive_step" );
#else
std::cerr << "nonpositive step in a call to parallel_for" << std::endl;
std::abort();
#endif
} else if (last > first) {
// Above "else" avoids "potential divide by zero" warning on some platforms
ANNOTATE_SITE_BEGIN( tbb_parallel_for );
for( Index i = first; i < last; i = i + step ) {
ANNOTATE_TASK_BEGIN( tbb_parallel_for_iteration );
{ f( i ); }
ANNOTATE_TASK_END( tbb_parallel_for_iteration );
}
ANNOTATE_SITE_END( tbb_parallel_for );
}
}

References tbb::internal::first(), and tbb::internal::last().

Referenced by parallel_for().

Here is the call graph for this function:
Here is the caller graph for this function:
tbb::serial::interface9::parallel_for_impl
void parallel_for_impl(Index first, Index last, Index step, const Function &f, Partitioner &)
Implementation of parallel iteration over stepped range of integers with explicit step and partitione...
Definition: serial/tbb/parallel_for.h:142
tbb::internal::first
auto first(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:34
tbb::internal::last
auto last(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:40
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.